.hide-nav .js-header-float {
  transform: translateY(-100%);
}

#wpadminbar ~ .js-header-float,
#wpadminbar ~ .header {
  top: 2rem !important;
}

.menu-on .line1 {
  transform: translateY(0.5rem) rotate(45deg);
}

.menu-on .line2 {
  opacity: 0;
}

.menu-on .line3 {
  margin-top: 0;
  transform: translateY(-0.3125rem) rotate(-45deg);
}

.menu-on .overlay {
  pointer-events: auto;
  transform: translateY(0);
}

.menu-on .menu-overlay {
  opacity: 1;
  pointer-events: auto;
}

/* Accordéon mobile */
.overlay .menu-item-wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 0.5rem;
  padding-right: 64px;
}

.overlay .submenu-toggle {
  width: 2.5rem;
  height: 2.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 9999px;
  background-color: rgb(var(--accent) / 0.1);
  transition: transform 300ms;
  position: absolute;
  right: 0;
}

.overlay .submenu-open > .menu-item-wrapper .submenu-toggle {
  transform: rotate(180deg);
}

.overlay .submenu-toggle:hover {
  background-color: rgb(var(--accent) / 0.2);
}

#search-toggle svg,
.enter-icon svg {
  height: 100%;
  width: 100%;
}

.wpml-ls-current-language {
  display: none !important;
}
